Skip to main content
PATCH
/
api
/
v2
/
folders
/
{folderId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v2/folders/{folderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "environment": "<string>",
  "name": "<string>",
  "path": "/",
  "description": "<string>"
}
'
{
  "folder": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "envId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "path": "<string>",
    "version": 1,
    "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isReserved": false,
    "description": "<string>",
    "lastSecretModified": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

folderId
string
required

The ID of the folder to update.

Body

application/json
projectId
string
required

The ID of the project where the folder is located.

environment
string
required

The slug of the environment where the folder is located.

name
string
required

The new name of the folder.

path
string
default:/

The path of the folder to update.

description
string | null

An optional description label for the folder.

Response

Default Response

folder
object
required